From: Randy Dunlap <rdunlap@xenotime.net>
To: Andreas Mohr <andi@lisas.de>
Cc: Herbert Xu <herbert@gondor.apana.org.au>,
Andrew Morton <akpm@osdl.org>,
Linux Kernel Mailing List <linux-kernel@vger.kernel.org>
Subject: Re: [PATCH/RFC] eradicate bashisms in scripts/patch-kernel
Date: Wed, 14 Nov 2007 14:46:27 -0800 [thread overview]
Message-ID: <20071114144627.8628f2dd.rdunlap@xenotime.net> (raw)
In-Reply-To: <20071105195827.GA24117@rhlx01.hs-esslingen.de>
On Mon, 5 Nov 2007 20:58:27 +0100 Andreas Mohr wrote:
> > Would you resend a trimmed-down patch?
> > or should I do it?
>
> Feel free to go ahead, otherwise I'll try another patch sometime soon.
> All I care about is that the result works on (at least)
> one shell implementation _more_ than the current status ;)
Hi Andreas,
Can you comment on (or test) whether this patch is sufficient
for your needs? And if so, is the Signed-off-by: A.M. OK?
Thanks.
---
Make the patch-kernel shell script sufficiently compatible with POSIX shells,
i.e., remove bashisms from scripts/patch-kernel.
Full changelog:
- replaced non-standard "==" by standard "="
- replaced non-standard "source" statement by POSIX "dot" command
- use leading ./ on mktemp filename to force the tempfile to a local
directory, so that the search path is not used
- added missing (optional/not required) $ signs to shell variable names
Signed-off-by: Andreas Mohr <andi@lisas.de>
Signed-off-by: Randy Dunlap <randy.dunlap@oracle.com>
--- linux-2.6.23/scripts/patch-kernel.orig 2007-11-01 22:51:34.000000000 +0100
+++ linux-2.6.23/scripts/patch-kernel 2007-11-01 22:10:14.000000000 +0100
@@ -65,7 +65,7 @@
patchdir=${2-.}
stopvers=${3-default}
-if [ "$1" == -h -o "$1" == --help -o ! -r "$sourcedir/Makefile" ]; then
+if [ "$1" = -h -o "$1" = --help -o ! -r "$sourcedir/Makefile" ]; then
cat << USAGE
usage: $PNAME [-h] [ sourcedir [ patchdir [ stopversion ] [ -acxx ] ] ]
source directory defaults to /usr/src/linux,
@@ -182,10 +182,12 @@
}
# set current VERSION, PATCHLEVEL, SUBLEVEL, EXTRAVERSION
-TMPFILE=`mktemp .tmpver.XXXXXX` || { echo "cannot make temp file" ; exit 1; }
+# force $TMPFILEs below to be in local directory: a slash character prevents
+# the dot command from using the search path.
+TMPFILE=`mktemp ./.tmpver.XXXXXX` || { echo "cannot make temp file" ; exit 1; }
grep -E "^(VERSION|PATCHLEVEL|SUBLEVEL|EXTRAVERSION)" $sourcedir/Makefile > $TMPFILE
tr -d [:blank:] < $TMPFILE > $TMPFILE.1
-source $TMPFILE.1
+. $TMPFILE.1
rm -f $TMPFILE*
if [ -z "$VERSION" -o -z "$PATCHLEVEL" -o -z "$SUBLEVEL" ]
then
@@ -251,16 +247,16 @@
do
CURRENTFULLVERSION="$VERSION.$PATCHLEVEL.$SUBLEVEL"
EXTRAVER=
- if [ $stopvers == $CURRENTFULLVERSION ]; then
+ if [ $stopvers = $CURRENTFULLVERSION ]; then
echo "Stopping at $CURRENTFULLVERSION base as requested."
break
fi
- SUBLEVEL=$((SUBLEVEL + 1))
+ SUBLEVEL=$(($SUBLEVEL + 1))
FULLVERSION="$VERSION.$PATCHLEVEL.$SUBLEVEL"
#echo "#___ trying $FULLVERSION ___"
- if [ $((SUBLEVEL)) -gt $((STOPSUBLEVEL)) ]; then
+ if [ $(($SUBLEVEL)) -gt $(($STOPSUBLEVEL)) ]; then
echo "Stopping since sublevel ($SUBLEVEL) is beyond stop-sublevel ($STOPSUBLEVEL)"
exit 1
fi
@@ -297,7 +293,7 @@
if [ x$gotac != x ]; then
# Out great user wants the -ac patches
# They could have done -ac (get latest) or -acxx where xx=version they want
- if [ $gotac == "-ac" ]; then
+ if [ $gotac = "-ac" ]; then
# They want the latest version
HIGHESTPATCH=0
for PATCHNAMES in $patchdir/patch-${CURRENTFULLVERSION}-ac*\.*
-
next prev parent reply other threads:[~2007-11-14 22:46 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2007-10-31 21:13 Andreas Mohr
2007-10-31 22:24 ` Randy Dunlap
2007-11-01 12:11 ` Andreas Mohr
2007-11-01 15:24 ` Randy Dunlap
2007-11-01 22:16 ` Andreas Mohr
2007-11-01 23:08 ` Randy Dunlap
2007-11-02 2:01 ` Herbert Xu
2007-11-02 20:09 ` Andreas Mohr
2007-11-02 20:17 ` Randy Dunlap
2007-11-05 19:58 ` Andreas Mohr
2007-11-14 22:46 ` Randy Dunlap [this message]
2007-11-17 16:33 ` Andreas Mohr
2007-11-17 16:43 ` Herbert Xu
2007-11-17 17:28 ` Sam Ravnborg
2007-11-17 20:51 ` [PATCH] " Andreas Mohr
2008-01-02 23:00 ` Randy Dunlap
2011-04-03 18:58 ` [PATCH] " Andreas Mohr
2011-04-03 19:40 ` Randy Dunlap
2011-04-21 11:36 ` Andreas Mohr
2011-04-04 12:59 ` Michal Marek
2007-11-17 17:24 ` [PATCH/RFC] " Adrian Bunk
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20071114144627.8628f2dd.rdunlap@xenotime.net \
--to=rdunlap@xenotime.net \
--cc=akpm@osdl.org \
--cc=andi@lisas.de \
--cc=herbert@gondor.apana.org.au \
--cc=linux-kernel@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®